#pragma once

// MassBuilderSaveTool
// Copyright (C) 2021-2022 Guillaume Jacquemin
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <https://www.gnu.org/licenses/>.

#include <map>

#include <Corrade/Containers/StringView.h>

#include <Magnum/Types.h>

using namespace Corrade;
using namespace Containers::Literals;
using namespace Magnum;

static const std::map<Int, Containers::StringView> accessories {
    // region Primitives
    {1,  "Cube (S)"_s},
    {2,  "Pentagon (S)"_s},
    {3,  "Hexagon (S)"_s},
    {4,  "Cylinder (S)"_s},
    {5,  "Sphere (S)"_s},
    {6,  "TriPyramid (S)"_s},
    {7,  "SquPyramid (S)"_s},
    {8,  "PenPyramid (S)"_s},
    {9,  "HexPyramid (S)"_s},
    {10, "Cone (S)"_s},
    {11, "SquStick (S)"_s},
    {12, "PenStick (S)"_s},
    {13, "HexStick (S)"_s},
    {14, "CycStick (S)"_s},
    {15, "Capsule (S)"_s},
    {16, "Decal Pad 01 (S)"_s},
    {17, "Decal Pad 02 (S)"_s},
    {18, "Decal Pad 03 (S)"_s},
    {19, "Decal Pad 04 (S)"_s},
    {20, "Decal Pad 05 (S)"_s},
    {21, "Triangle (S)"_s},
    {22, "ThinStar (S)"_s},
    {23, "Star (S)"_s},
    {24, "SixSideStar (S)"_s},
    {25, "Asterisk (S)"_s},

    {51, "SquBevel (S)"_s},
    {52, "TriBevel (S)"_s},
    {53, "PenBevel (S)"_s},
    {54, "HexBevel (S)"_s},
    {55, "CycBevel (S)"_s},
    {56, "RecBevel (S)"_s},
    {57, "DaiBevel (S)"_s},
    {58, "MonBevel (S)"_s},
    {59, "CofBevel (S)"_s},
    {60, "JevBevel (S)"_s},
    {61, "SquEmboss (S)"_s},
    {62, "TriEmboss (S)"_s},
    {63, "PenEmboss (S)"_s},
    {64, "HexEmboss (S)"_s},
    {65, "CycEmboss (S)"_s},
    {66, "RecEmboss (S)"_s},
    {67, "DaiEmboss (S)"_s},
    {68, "MonEmboss (S)"_s},
    {69, "CofEmboss (S)"_s},
    {70, "JevEmboss (S)"_s},

    {101, "Flat Hex Pin (S)"_s},
    {102, "Cross Circle Pin (S)"_s},
    {103, "Flat Circle Pin (S)"_s},
    {104, "Hex Circle Pin (S)"_s},
    {105, "Circle Button Pin (S)"_s},
    {106, "Hexagon Pin (S)"_s},
    {107, "Cross Square Pin (S)"_s},
    {108, "Flat Square Pin (S)"_s},
    {109, "Quad Corner Pin (S)"_s},
    {110, "Bi Corner Pin (S)"_s},
    {111, "Circle Pin (S)"_s},
    {112, "Flat End Pin (S)"_s},
    {113, "Flat Cut Pin (S)"_s},
    {114, "Radial Pin (S)"_s},
    {115, "Diamiter Pin (S)"_s},

    {151, "TriPoint (S)"_s},
    {152, "SquPoint (S)"_s},
    {153, "PenPoint (S)"_s},
    {154, "HexPoint (S)"_s},
    {155, "CycPoint (S)"_s},
    {156, "Bevel SquCutPoint (S)"_s},
    {157, "Bevel HexCutPoint (S)"_s},
    {158, "Bevel HexPoint (S)"_s},
    {159, "Bevel CycCutPoint (S)"_s},
    {160, "Bevel CycPoint (S)"_s},

    {201, "Shaped Edge 01 (M)"_s},
    {202, "Shaped Edge 02 (M)"_s},
    {203, "Shaped Edge 03 (M)"_s},
    {204, "Shaped Edge 04 (M)"_s},
    {205, "Shaped Edge 05 (M)"_s},
    {206, "Shaped Edge 06 (M)"_s},
    {207, "Shaped Edge 07 (M)"_s},
    {208, "Shaped Edge 08 (M)"_s},
    {209, "Shaped Edge 09 (M)"_s},
    {210, "Shaped Edge 10 (M)"_s},
    {211, "Shaped Edge 11 (M)"_s},
    {212, "Shaped Edge 12 (M)"_s},
    {213, "Shaped Edge 13 (M)"_s},
    {214, "Shaped Edge 14 (M)"_s},
    {215, "Shaped Edge 15 (M)"_s},
    {216, "Shaped Edge 16 (M)"_s},
    {217, "Shaped Edge 17 (M)"_s},
    {218, "Shaped Edge 18 (M)"_s},
    {219, "Shaped Edge 19 (M)"_s},
    {220, "Shaped Edge 20 (M)"_s},

    {251, "Fish Tail 01 (M)"_s},
    {252, "Fish Tail 02 (M)"_s},
    {253, "Fish Tail 03 (M)"_s},
    {254, "Fish Tail 04 (M)"_s},
    {255, "Fish Tail 05 (M)"_s},
    {256, "Based Separator 01 (M)"_s},
    {257, "Based Separator 02 (M)"_s},
    {258, "Based Separator 03 (M)"_s},
    {259, "Based Separator 04 (M)"_s},
    {260, "Based Separator 05 (M)"_s},
    {261, "Based Separator 06 (M)"_s},
    {262, "Based Separator 07 (M)"_s},
    {263, "Based Separator 08 (M)"_s},
    {264, "Based Separator 09 (M)"_s},
    {265, "Based Separator 10 (M)"_s},

    {301, "Rectangular Box 01 (M)"_s},
    {302, "Rectangular Box 02 (M)"_s},
    {303, "Rectangular Box 03 (M)"_s},
    {304, "Rectangular Box 04 (M)"_s},
    {305, "Rectangular Box 05 (M)"_s},
    {306, "CofBox 01 (M)"_s},
    {307, "CofBox 02 (M)"_s},
    {308, "CofBox 03 (M)"_s},
    {309, "CofBox 04 (M)"_s},
    {310, "CofBox 05 (M)"_s},
    {311, "Triangular Box 01 (M)"_s},
    {312, "Triangular Box 02 (M)"_s},
    {313, "Triangular Box 03 (M)"_s},
    {314, "Triangular Box 04 (M)"_s},
    {315, "Triangular Box 05 (M)"_s},
    {316, "Diagonal Box A01 (M)"_s},
    {317, "Diagonal Box A02 (M)"_s},
    {318, "Diagonal Box A03 (M)"_s},
    {319, "Diagonal Box A04 (M)"_s},
    {320, "Diagonal Box A05 (M)"_s},
    {321, "Diagonal Box B01 (M)"_s},
    {322, "Diagonal Box B02 (M)"_s},
    {323, "Diagonal Box B03 (M)"_s},
    {324, "Diagonal Box B04 (M)"_s},
    {325, "Diagonal Box B05 (M)"_s},
    // endregion

    // region Armours
    {1001, "Short Layer 01 (M)"_s},
    {1002, "Short Layer 02 (M)"_s},
    {1003, "Short Layer 03 (M)"_s},
    {1004, "Short Layer 04 (M)"_s},
    {1005, "Short Layer 05 (M)"_s},
    {1006, "Long Layer 01 (M)"_s},
    {1007, "Long Layer 02 (M)"_s},
    {1008, "Long Layer 03 (M)"_s},
    {1009, "Long Layer 04 (M)"_s},
    {1010, "Long Layer 05 (M)"_s},
    {1011, "Diagonal Long Layer 01 (M)"_s},
    {1012, "Diagonal Long Layer 02 (M)"_s},
    {1013, "Diagonal Long Layer 03 (M)"_s},
    {1014, "Diagonal Long Layer 04 (M)"_s},
    {1015, "Diagonal Long Layer 05 (M)"_s},

    {1051, "Sloped Layer 01 (M)"_s},
    {1052, "Sloped Layer 02 (M)"_s},
    {1053, "Sloped Layer 03 (M)"_s},
    {1054, "Sloped Layer 04 (M)"_s},
    {1055, "Sloped Layer 05 (M)"_s},
    {1056, "Sloped Layer 06 (M)"_s},
    {1057, "Sloped Layer 07 (M)"_s},
    {1058, "Sloped Layer 08 (M)"_s},
    {1059, "Sloped Layer 09 (M)"_s},
    {1060, "Sloped Layer 10 (M)"_s},
    {1061, "Sloped Layer 11 (M)"_s},
    {1062, "Sloped Layer 12 (M)"_s},
    {1063, "Sloped Layer 13 (M)"_s},
    {1064, "Sloped Layer 14 (M)"_s},
    {1065, "Sloped Layer 15 (M)"_s},

    {1101, "Raised Center 01 (M)"_s},
    {1102, "Raised Center 02 (M)"_s},
    {1103, "Raised Center 03 (M)"_s},
    {1104, "Raised Center 04 (M)"_s},
    {1105, "Raised Center 05 (M)"_s},
    {1106, "Raised Block 01 (M)"_s},
    {1107, "Raised Block 02 (M)"_s},
    {1108, "Raised Block 03 (M)"_s},
    {1109, "Raised Pointed (M)"_s},
    {1110, "Raised Cover (M)"_s},
    {1111, "Raised Slant 01 (M)"_s},
    {1112, "Raised Slant 02 (M)"_s},
    {1113, "Raised Slant 03 (M)"_s},
    {1114, "Raised Slant 04 (M)"_s},
    {1115, "Raised Slant 05 (M)"_s},

    {1151, "Wide Patch 01 (L)"_s},
    {1152, "Wide Patch 02 (L)"_s},
    {1153, "Wide Patch 03 (L)"_s},
    {1154, "Wide Patch 04 (L)"_s},
    {1155, "Wide Patch 05 (L)"_s},

    {1201, "Pointed Armour 01 (L)"_s},
    {1202, "Pointed Armour 02 (L)"_s},
    {1203, "Pointed Armour 03 (L)"_s},
    {1204, "Pointed Armour 04 (L)"_s},
    {1205, "Pointed Armour 05 (L)"_s},
    {1206, "Pointed Armour 06 (L)"_s},
    {1207, "Pointed Armour 07 (L)"_s},
    {1208, "Pointed Armour 08 (L)"_s},
    {1209, "Pointed Armour 09 (L)"_s},
    {1210, "Pointed Armour 10 (L)"_s},
    {1211, "Pointed Armour 11 (L)"_s},
    {1212, "Pointed Armour 12 (L)"_s},
    {1213, "Pointed Armour 13 (L)"_s},
    {1214, "Pointed Armour 14 (L)"_s},
    {1215, "Pointed Armour 15 (L)"_s},

    {1251, "E Limb Cover 01 (L)"_s},
    {1252, "E Limb Cover 02 (L)"_s},
    {1253, "E Limb Cover 03 (L)"_s},
    {1254, "E Limb Cover 04 (L)"_s},
    {1255, "E Limb Cover 05 (L)"_s},
    {1256, "E Limb Cover 06 (L)"_s},
    {1257, "E Limb Cover 07 (L)"_s},
    {1258, "E Limb Cover 08 (L)"_s},
    {1259, "E Limb Cover 09 (L)"_s},
    {1260, "E Limb Cover 10 (L)"_s},

    {1301, "C Limb Cover 01 (L)"_s},
    {1302, "C Limb Cover 02 (L)"_s},
    {1303, "C Limb Cover 03 (L)"_s},
    {1304, "C Limb Cover 04 (L)"_s},
    {1305, "C Limb Cover 05 (L)"_s},
    {1306, "C Limb Cover 06 (L)"_s},
    {1307, "C Limb Cover 07 (L)"_s},
    {1308, "C Limb Cover 08 (L)"_s},
    {1309, "C Limb Cover 09 (L)"_s},
    {1310, "C Limb Cover 10 (L)"_s},
    {1311, "C Limb Cover 11 (L)"_s},
    {1312, "C Limb Cover 12 (L)"_s},
    {1313, "C Limb Cover 13 (L)"_s},
    {1314, "C Limb Cover 14 (L)"_s},
    {1315, "C Limb Cover 15 (L)"_s},
    {1316, "C Limb Cover 16 (L)"_s},
    {1317, "C Limb Cover 17 (L)"_s},
    {1318, "C Limb Cover 18 (L)"_s},
    {1319, "C Limb Cover 19 (L)"_s},
    {1320, "C Limb Cover 20 (L)"_s},

    {1351, "P Limb Cover 01 (XL)"_s},
    {1352, "P Limb Cover 02 (XL)"_s},
    {1353, "P Limb Cover 03 (XL)"_s},
    {1354, "P Limb Cover 04 (XL)"_s},
    {1355, "P Limb Cover 05 (XL)"_s},

    {1401, "Flat Cover 01 (XL)"_s},
    {1402, "Flat Cover 02 (XL)"_s},
    {1403, "Flat Cover 03 (XL)"_s},
    {1404, "Flat Cover 04 (XL)"_s},
    {1405, "Flat Cover 05 (XL)"_s},
    {1406, "Flat Cover 06 (XL)"_s},
    {1407, "Flat Cover 07 (XL)"_s},
    {1408, "Flat Cover 08 (XL)"_s},
    {1409, "Flat Cover 09 (XL)"_s},
    {1410, "Flat Cover 10 (XL)"_s},

    {1451, "L Side Opening 01 (XL)"_s},
    {1452, "L Side Opening 02 (XL)"_s},
    {1453, "L Side Opening 03 (XL)"_s},
    {1454, "L Side Opening 04 (XL)"_s},
    {1455, "L Side Opening 05 (XL)"_s},
    {1456, "L Side Opening 06 (XL)"_s},
    {1457, "L Side Opening 07 (XL)"_s},
    {1458, "L Side Opening 08 (XL)"_s},
    {1459, "L Side Opening 09 (XL)"_s},
    {1460, "L Side Opening 10 (XL)"_s},
    // endregion

    // region Components
    {2001, "Disc Padding 01 (M)"_s},
    {2002, "Disc Padding 02 (M)"_s},
    {2003, "Disc Padding 03 (M)"_s},
    {2004, "Disc Padding 04 (M)"_s},
    {2005, "Disc Padding 05 (M)"_s},
    {2006, "Thin Padding 01 (M)"_s},
    {2007, "Thin Padding 02 (M)"_s},
    {2008, "Thin Padding 03 (M)"_s},
    {2009, "Thin Padding 04 (M)"_s},
    {2010, "Thin Padding 05 (M)"_s},
    {2011, "Thick Padding 01 (M)"_s},
    {2012, "Thick Padding 02 (M)"_s},
    {2013, "Thick Padding 03 (M)"_s},
    {2014, "Thick Padding 04 (M)"_s},
    {2015, "Thick Padding 05 (M)"_s},
    {2016, "Thick Padding 06 (M)"_s},
    {2017, "Thick Padding 07 (M)"_s},
    {2018, "Thick Padding 08 (M)"_s},
    {2019, "Thick Padding 09 (M)"_s},
    {2020, "Thick Padding 10 (M)"_s},
    {2021, "CSide Padding 01 (M)"_s},
    {2022, "CSide Padding 02 (M)"_s},
    {2023, "CSide Padding 03 (M)"_s},
    {2024, "CSide Padding 04 (M)"_s},
    {2025, "CSide Padding 05 (M)"_s},

    {2051, "Container 01 (L)"_s},
    {2052, "Container 02 (L)"_s},
    {2053, "Container 03 (L)"_s},
    {2054, "Container 04 (L)"_s},
    {2055, "Container 05 (L)"_s},

    {2101, "Plating 01 (L)"_s},
    {2102, "Plating 02 (L)"_s},
    {2103, "Plating 03 (L)"_s},
    {2104, "Plating 04 (L)"_s},
    {2105, "Plating 05 (L)"_s},

    {2151, "Complex Base 01 (L)"_s},
    {2152, "Complex Base 02 (L)"_s},
    {2153, "Complex Base 03 (L)"_s},
    {2154, "Complex Base 04 (L)"_s},
    {2155, "Complex Base 05 (L)"_s},
    {2156, "Complex Base 06 (L)"_s},
    {2157, "Complex Base 07 (L)"_s},
    {2158, "Complex Base 08 (L)"_s},
    {2159, "Complex Base 09 (L)"_s},
    {2160, "Complex Base 10 (L)"_s},

    {2201, "Long Base 01 (XL)"_s},
    {2202, "Long Base 02 (XL)"_s},
    {2203, "Long Base 03 (XL)"_s},
    {2204, "Long Base 04 (XL)"_s},
    {2205, "Long Base 05 (XL)"_s},

    {2251, "Straight Wing 01 (XL)"_s},
    {2252, "Straight Wing 02 (XL)"_s},
    {2253, "Straight Wing 03 (XL)"_s},
    {2254, "Straight Wing 04 (XL)"_s},
    {2255, "Straight Wing 05 (XL)"_s},
    {2256, "Straight Wing 06 (XL)"_s},
    {2257, "Straight Wing 07 (XL)"_s},
    {2258, "Straight Wing 08 (XL)"_s},
    {2259, "Straight Wing 09 (XL)"_s},
    {2260, "Straight Wing 10 (XL)"_s},

    {2301, "Triangular Wing 01 (XL)"_s},
    {2302, "Triangular Wing 02 (XL)"_s},
    {2303, "Triangular Wing 03 (XL)"_s},
    {2304, "Triangular Wing 04 (XL)"_s},
    {2305, "Triangular Wing 05 (XL)"_s},
    {2306, "Triangular Wing 06 (XL)"_s},
    {2307, "Triangular Wing 07 (XL)"_s},
    {2308, "Triangular Wing 08 (XL)"_s},
    {2309, "Triangular Wing 09 (XL)"_s},
    {2310, "Triangular Wing 10 (XL)"_s},
    {2311, "Triangular Wing 11 (L)"_s},
    {2312, "Triangular Wing 12 (L)"_s},
    {2313, "Triangular Wing 13 (L)"_s},
    {2314, "Triangular Wing 14 (L)"_s},
    {2315, "Triangular Wing 15 (L)"_s},

    {2351, "Complex Wing 01 (XL)"_s},
    {2352, "Complex Wing 02 (XL)"_s},
    {2353, "Complex Wing 03 (XL)"_s},
    {2354, "Complex Wing 04 (XL)"_s},
    {2355, "Complex Wing 05 (XL)"_s},
    {2356, "Complex Wing 06 (L)"_s},
    {2357, "Complex Wing 07 (L)"_s},
    {2358, "Complex Wing 08 (L)"_s},
    {2359, "Complex Wing 09 (L)"_s},
    {2360, "Complex Wing 10 (L)"_s},

    {2401, "Blade 01 (XL)"_s},
    {2402, "Blade 02 (XL)"_s},
    {2403, "Blade 03 (XL)"_s},
    {2404, "Blade 04 (XL)"_s},
    {2405, "Blade 05 (XL)"_s},
    {2406, "Blade 06 (XL)"_s},
    {2407, "Blade 07 (XL)"_s},
    {2408, "Blade 08 (XL)"_s},
    {2409, "Blade 09 (XL)"_s},
    {2410, "Blade 10 (XL)"_s},

    {2426, "Curved Blade 01 (XL)"_s},
    {2427, "Curved Blade 02 (XL)"_s},
    {2428, "Curved Blade 03 (XL)"_s},
    {2429, "Curved Blade 04 (XL)"_s},
    {2430, "Curved Blade 05 (XL)"_s},

    {2451, "Horn 01 (M)"_s},
    {2452, "Horn 02 (M)"_s},
    {2453, "Horn 03 (M)"_s},
    {2454, "Horn 04 (M)"_s},
    {2455, "Horn 05 (M)"_s},
    {2456, "Horn 06 (M)"_s},
    {2457, "Horn 07 (M)"_s},
    {2458, "Horn 08 (M)"_s},
    {2459, "Horn 09 (M)"_s},
    {2460, "Horn 10 (M)"_s},
    {2461, "Horn 11 (M)"_s},
    {2462, "Horn 12 (M)"_s},
    {2463, "Horn 13 (M)"_s},
    {2464, "Horn 14 (M)"_s},
    {2465, "Horn 15 (M)"_s},

    {2471, "Mask (M)"_s},
    {2472, "Droplet (M)"_s},
    {2473, "Thigh (M)"_s},
    {2474, "LegS (M)"_s},
    {2475, "LegTH (M)"_s},
    {2476, "Plume 01 (M)"_s},
    {2477, "Plume 02 (M)"_s},
    {2478, "Plume 03 (M)"_s},
    {2479, "Plume 04 (M)"_s},
    {2480, "Plume 05 (M)"_s},

    {2491, "Tail 01 (XL)"_s},
    {2492, "Tail 02 (XL)"_s},
    {2493, "Tail 03 (XL)"_s},
    {2494, "Tail 04 (XL)"_s},
    {2495, "Tail 05 (XL)"_s},

    {2501, "Finger 01 (M)"_s},
    {2502, "Finger 02 (M)"_s},
    {2503, "Finger 03 (M)"_s},
    {2504, "Finger 04 (M)"_s},
    {2505, "Finger 05 (M)"_s},

    {2521, "Fabric 01 (XL)"_s},
    {2522, "Fabric 02 (XL)"_s},
    {2523, "Fabric 03 (XL)"_s},
    {2524, "Fabric 04 (XL)"_s},
    {2525, "Fabric 05 (XL)"_s},

    {2551, "Energy Barrel 01 (XL)"_s},
    {2552, "Energy Barrel 02 (XL)"_s},
    {2553, "Energy Barrel 03 (XL)"_s},
    {2554, "Energy Barrel 04 (XL)"_s},
    {2555, "Energy Barrel 05 (XL)"_s},

    {2601, "L Bullet Barrel 01 (XL)"_s},
    {2602, "L Bullet Barrel 02 (XL)"_s},
    {2603, "L Bullet Barrel 03 (XL)"_s},
    {2604, "L Bullet Barrel 04 (XL)"_s},
    {2605, "L Bullet Barrel 05 (XL)"_s},
    {2606, "S Bullet Barrel 01 (XL)"_s},
    {2607, "S Bullet Barrel 02 (XL)"_s},
    {2608, "S Bullet Barrel 03 (XL)"_s},
    {2609, "S Bullet Barrel 04 (XL)"_s},
    {2610, "S Bullet Barrel 05 (XL)"_s},

    {2651, "Cylinder Scope 01 (M)"_s},
    {2652, "Cylinder Scope 02 (M)"_s},
    {2653, "Cylinder Scope 03 (M)"_s},
    {2654, "Cylinder Scope 04 (M)"_s},
    {2655, "Cylinder Scope 05 (M)"_s},
    {2656, "Elec Scope 01 (M)"_s},
    {2657, "Elec Scope 02 (M)"_s},
    {2658, "Elec Scope 03 (M)"_s},
    {2659, "Elec Scope 04 (M)"_s},
    {2660, "Elec Scope 05 (M)"_s},
    {2661, "Mark Scope 01 (S)"_s},
    {2662, "Mark Scope 02 (S)"_s},
    {2663, "Mark Scope 03 (S)"_s},
    {2664, "Mark Scope 04 (S)"_s},
    {2665, "Mark Scope 05 (S)"_s},

    {2701, "S Single Weaponry (M)"_s},
    {2702, "S Packed Weaponry 01 (M)"_s},
    {2703, "S Packed Weaponry 02 (M)"_s},
    {2704, "S Packed Weaponry 03 (M)"_s},
    {2705, "S Packed Weaponry 04 (M)"_s},
    {2706, "L Single Weaponry (XL)"_s},
    {2707, "L Packed Weaponry 01 (XL)"_s},
    {2708, "L Packed Weaponry 02 (XL)"_s},
    {2709, "L Packed Weaponry 03 (XL)"_s},
    {2710, "L Packed Weaponry 04 (XL)"_s},
    {2711, "Atk Single Weaponry (XL)"_s},
    {2712, "Atk Packed Weaponry 01 (XL)"_s},
    {2713, "Atk Packed Weaponry 02 (XL)"_s},
    {2714, "Atk Packed Weaponry 03 (XL)"_s},
    {2715, "Atk Packed Weaponry 04 (XL)"_s},

    {2751, "Vent 01 (M)"_s},
    {2752, "Vent 02 (M)"_s},
    {2753, "Vent 03 (M)"_s},
    {2754, "Vent 04 (M)"_s},
    {2755, "Vent 05 (M)"_s},
    {2756, "Vent 06 (M)"_s},
    {2757, "Vent 07 (M)"_s},
    {2758, "Vent 08 (M)"_s},
    {2759, "Vent 09 (M)"_s},
    {2760, "Vent 10 (M)"_s},

    {2901, "Complex Construct 01 (L)"_s},
    {2902, "Complex Construct 02 (L)"_s},
    {2903, "Complex Construct 03 (L)"_s},
    {2904, "Complex Construct 04 (L)"_s},
    {2905, "Complex Construct 05 (L)"_s},
    // endregion

    // region Connectors
    {3001, "Circular Vent 01 (M)"_s},
    {3002, "Circular Vent 02 (M)"_s},
    {3003, "Circular Vent 03 (M)"_s},
    {3004, "Circular Vent 04 (M)"_s},
    {3005, "Circular Vent 05 (M)"_s},
    {3006, "Circular Vent 06 (M)"_s},
    {3007, "Circular Vent 07 (M)"_s},
    {3008, "Circular Vent 08 (M)"_s},
    {3009, "Circular Vent 09 (M)"_s},
    {3010, "Circular Vent 10 (M)"_s},
    {3011, "Circular Vent 11 (M)"_s},
    {3012, "Circular Vent 12 (M)"_s},
    {3013, "Circular Vent 13 (M)"_s},
    {3014, "Circular Vent 14 (M)"_s},
    {3015, "Circular Vent 15 (M)"_s},

    {3051, "Reactor 01 (L)"_s},
    {3052, "Reactor 02 (L)"_s},
    {3053, "Reactor 03 (L)"_s},
    {3054, "Reactor 04 (L)"_s},
    {3055, "Reactor 05 (L)"_s},

    {3101, "Connecting Tube 01 (XL)"_s},
    {3102, "Connecting Tube 02 (XL)"_s},
    {3103, "Connecting Tube 03 (XL)"_s},
    {3104, "Connecting Tube 04 (XL)"_s},
    {3105, "Connecting Tube 05 (XL)"_s},

    {3151, "Latch 01 (M)"_s},
    {3152, "Latch 02 (M)"_s},
    {3153, "Latch 03 (M)"_s},
    {3154, "Latch 04 (M)"_s},
    {3155, "Latch 05 (M)"_s},
    {3156, "Latch 06 (M)"_s},
    {3157, "Latch 07 (M)"_s},
    {3158, "Latch 08 (M)"_s},
    {3159, "Latch 09 (M)"_s},
    {3160, "Latch 10 (M)"_s},
    {3161, "Latch 11 (M)"_s},
    {3162, "Latch 12 (M)"_s},
    {3163, "Latch 13 (M)"_s},
    {3164, "Latch 14 (M)"_s},
    {3165, "Latch 15 (M)"_s},

    {3201, "Short Connector 01 (M)"_s},
    {3202, "Short Connector 02 (M)"_s},
    {3203, "Short Connector 03 (M)"_s},
    {3204, "Short Connector 04 (M)"_s},
    {3205, "Short Connector 05 (M)"_s},
    {3206, "Antenna 01 (S)"_s},
    {3207, "Antenna 02 (S)"_s},
    {3208, "Antenna 03 (S)"_s},
    {3209, "Antenna 04 (S)"_s},
    {3210, "Antenna 05 (S)"_s},

    {3226, "Long Connector 01 (XL)"_s},
    {3227, "Long Connector 02 (XL)"_s},
    {3228, "Long Connector 03 (XL)"_s},
    {3229, "Long Connector 04 (XL)"_s},
    {3230, "Long Connector 05 (XL)"_s},
    {3231, "Long Connector 06 (XL)"_s},
    {3232, "Long Connector 07 (XL)"_s},
    {3233, "Long Connector 08 (XL)"_s},
    {3234, "Long Connector 09 (XL)"_s},
    {3235, "Long Connector 10 (XL)"_s},

    {3251, "Complex Connector 01 (XL)"_s},
    {3252, "Complex Connector 02 (XL)"_s},
    {3253, "Complex Connector 03 (XL)"_s},
    {3254, "Complex Connector 04 (XL)"_s},
    {3255, "Complex Connector 05 (XL)"_s},

    {3301, "Tube Line 01 (L)"_s},
    {3302, "Tube Line 02 (L)"_s},
    {3303, "Tube Line 03 (L)"_s},
    {3304, "Tube Line 04 (XL)"_s},
    {3305, "Tube Line 05 (XL)"_s},
    {3306, "Tube Line 06 (M)"_s},
    {3307, "Tube Line 07 (M)"_s},
    {3308, "Tube Line 08 (M)"_s},
    {3309, "Tube Line 09 (L)"_s},
    {3310, "Tube Line 10 (L)"_s},

    {3351, "Radar Plate 01 (M)"_s},
    {3352, "Radar Plate 02 (M)"_s},
    {3353, "Radar Plate 03 (M)"_s},
    {3354, "Radar Plate 04 (M)"_s},
    {3355, "Radar Plate 05 (M)"_s},
    {3356, "Radar Pod 01 (M)"_s},
    {3357, "Radar Pod 02 (M)"_s},
    {3358, "Radar Pod 03 (M)"_s},
    {3359, "Radar Pod 04 (M)"_s},
    {3360, "Radar Pod 05 (M)"_s},

    {3401, "Tri Pod 01 (M)"_s},
    {3402, "Tri Pod 02 (M)"_s},
    {3403, "Tri Pod 03 (M)"_s},
    {3404, "Tri Pod 04 (M)"_s},
    {3405, "Tri Pod 05 (M)"_s},
    {3406, "Signal Pod 01 (M)"_s},
    {3407, "Signal Pod 02 (M)"_s},
    {3408, "Signal Pod 03 (M)"_s},
    {3409, "Signal Pod 04 (M)"_s},
    {3410, "Signal Pod 05 (M)"_s},
    // endregion
};
